000012347 - Error '[XrcBADRESOURCE: a required resource value was not useable]' when installing RSA Certificate Manager

Document created by RSA Customer Support Employee on Jun 14, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000012347
Applies ToRSA Certificate Manager (RCM)
RSA Certificate Manager 6.8 Build 520
RSA Certificate Manager 6.9
Microsoft Windows 2003 Server
IssueError "[XrcBADRESOURCE: a required resource value was not useable]" when installing RSA Certificate Manager

Installshield portion of installer fails with this error :

Configuration of Install Web Server (C:\Program Files\RSA Security\RSA_CM\iws\bin\apache-setup.exe -d2 iws.log iws.conf) failed with return code [48]. Please refer to the log file [C:\Program Files\RSA Security\RSA_CM\iws\bin\iws.log] for more information, and contact technical support if the cause of the problem remains unclear.


iws.log shows:

Reading configuration parameters.
    Reading configuration from file [iws.conf]

Checking network.

Confirming existence of target directories:
    C:\Program Files\RSA Security\RSA_CM\iws\conf
    C:\Program Files\RSA Security\RSA_CM\iws\ssl\private
    C:\Program Files\RSA Security\RSA_CM\iws\ssl\certs
    C:\Program Files\RSA Security\RSA_CM\iws\logs
    C:\Program Files\RSA Security\RSA_CM\iws\state
    C:\Program Files\RSA Security\RSA_CM\iws\ssl\session-cache

No additional symbols found

System CA:

*** Operation failed. ***

[XrcBADRESOURCE: a required resource value was not useable]

unable to retrieve or create CA for signing [a required resource value was not useable]
CauseMissing SSL-C libraries
The RCM 6.8 build 520 is little different from traditional installations. We need to install SSL-C libraries in System32 directory on Windows and /usr/lib on UNIX platforms. This is a basic requirement of SSL-C.
ResolutionThe RCM 6.8 build 520 installation (both full-build and drop-in) requires the BSAFE SSL-C 2.8.5.1 libraries to be installed as mentioned below:

1. Extract the RSA Bsafe SSLC 2.8.5.1 library files from the following zip or tar files:
? For Windows, SSLC_CryptoCME_Libs-WIN32.zip.
? For Redhat Linux, SSLC_CryptoCME_Libs-RH_Linux.tar.
? For SuSE Linux, SSLC_CryptoCME_Libs-SuSE_Linux.tar.
? For Solaris, SSLC_CryptoCME_Libs-sparc-sun-solaris.tar.

2. Copy the extracted contents to the following locations:
? C:\Windows\system32, for Windows 2003 (32-bit) or Windows 2008 (32-bit)
? C:\Windows\SysWoW64, for Windows 2008 (64-bit)
? /usr/lib, for Solaris, SUSE, or RedHat Linux

Note: Please make sure that you login as the root user and give proper permissions to the users to access the
libraries.

The above steps are documented in the RSACertificateManager68build520Readme.pdf file on Page 56, Installing RSA Certificate Manager 6.8 build520 -> Pre-requisites for installing RSA Certificate Manager 6.8 build520.
Legacy Article IDa55218

Attachments

    Outcomes